using System.ComponentModel;

namespace Hotline.Share.Enums.Push;

/// <summary>
/// 推送平台
/// </summary>
public enum EPushPlatform
{
    /// <summary>
    /// 短信
    /// </summary>
    [Description("短信")]
    Sms = 1,

    /// <summary>
    /// 微信公众号
    /// </summary>
    [Description("微信公众号")]
    WeChat = 2,

    /// <summary>
    /// 微信小程序
    /// </summary>
    [Description("微信小程序")]
    WeChatMiniProgram = 3,

    /// <summary>
    /// 门户网站
    /// </summary>
    [Description("门户网站")]
    Web = 4,
}